package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag296;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT296Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT296Creator mt296Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt296Creator= (MT296Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt296Creator.getRelatedReference();
        mt296Creator.set("21", tag21Value);
    }
}
